import type { Migration } from "../migration.ts";
import type { DuckDBConnection } from "@duckdb/node-api";

export class V001_AddAgents implements Migration {
	getIdentifier(): string {
		return "V001_AddAgents";
	}

	async execute(connection: DuckDBConnection): Promise<void> {
		await connection.run(`
			CREATE TABLE agents
			(
				id   uuid default gen_random_uuid() primary key,
				name varchar(255) not null unique
			);
		`);
	}
}
