import type { Migration } from "../migration.ts";
import type { DuckDBConnection } from "@duckdb/node-api";

export class V002_AddApplicationWorkers implements Migration {
	getIdentifier(): string {
		return "V002_AddApplicationWorkers";
	}

	async execute(connection: DuckDBConnection): Promise<void> {
		await connection.run(`
			CREATE TABLE application_workers
			(
				agent_id uuid primary key references agents (id)
			);
		`);
	}
}
