import type { Migration } from "../migration.ts";
import type { DuckDBConnection } from "@duckdb/node-api";

export class V003_AddServiceProviders implements Migration {
	getIdentifier(): string {
		return "V003_AddServiceProviders";
	}

	async execute(connection: DuckDBConnection): Promise<void> {
		await connection.run(`
			CREATE TABLE service_providers
			(
				agent_id uuid primary key references agents (id)
			);
		`);
	}
}
