import type { Migration } from "../migration.ts";
import type { DuckDBConnection } from "@duckdb/node-api";

export class V004_AddSoftwares implements Migration {
	getIdentifier(): string {
		return "V004_AddSoftwares";
	}

	async execute(connection: DuckDBConnection): Promise<void> {
		await connection.run(`
			CREATE TABLE softwares
			(
				id       uuid default gen_random_uuid(),
				name     varchar(255) not null unique,
				variants jsonb        not null
			);
		`);
	}
}
