import s from "@sharkitek/core";

/**
 * An **Agent** is a generic node object, which can carry out assigned tasks.
 */
export class Agent {
	/**
	 * Unique agent UUID.
	 */
	id!: string;

	/**
	 * The name of the agent must be unique.
	 * It is a human-understandable identifier.
	 */
	name!: string;
}

export const AgentModel = s.defineModel({
	Class: Agent,
	identifier: "id",
	properties: {
		id: s.property.string(),
		name: s.property.string(),
	},
});
